Canalplan Bug Tracker



Anonymous Login
2019-04-23 01:28 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000512Canalplan [All Projects] Bugpublic2019-01-01 10:30
ReporterPeterScott 
Assigned ToNick Atty 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionnot fixable 
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000512: Moving a Place leaves a ghost
DescriptionMoved Allington Lock Weir Entrance to the west (to where weir structure is rather than where you would leave the main channel if you wanted to steer over it). Functionality was fine. History shows OK "Coordinates changed ... 28-10-2018 16:59:22" Returning to it later, zooming in on the map from the location "Allington Lock Weir Entrance" shows the next-place-along as its old location, also marked "Allington Lock Weir Entrance". (see screenshot) Also from other nearby places, "Allington Lock Weir Entrance" appears as it was before it was moved. (clicking on from these maps works as expected)
TagsNo tags attached.
Attach Tags (Separate by ",")
Attached Files

-Relationships
+Relationships

-Notes

~0001968

Shultzy (updater)

It looks ok now. It could be that it needs time to refresh the maps.

~0001969

PeterScott (reporter)

It's still as t'was: have to zoom in enough to see the two entries - PeterS

~0001970

Shultzy (updater)

I've zoomed in (maximum zoom) and found it, but it isn't in the same place as in your photo. It's slightly NW of the marker. I moved [Harbour Inlet] yesterday and [Burnt Mill Lane Bridge No 17] on the 25th and the same thing has happened in both cases.

~0001971

Nick Atty (administrator)

When I visited it just now, it looked fine. What I think is happening is a combination of the maps having to be rebuilt in the background, caching and an artefact that never appears at reasonable resolutions.

To understand all of these you need to know how maps are generated now. All the places that you see on the maps are from canalplan map tiles which have the whole network - waterways and places - and are built in the background from the canalplan database. These are layered on top of the map tiles. This is different from the way it was done with Google where all the canalplan data was drawn onto the top of a map. This makes a lot of things a lot more easy - such as you being able to scroll or zoom out as much as you like and still get places and waterways shown, much better layout of potentially overlapping place names etc. It will also allow other nice features like including stoppages on all maps dynamically when I get round to it.

The one exception to this description is the pin that marks the current place. This *is* superimposed onto the map, along with the large text label below it.

It takes a short while to rebuild the map tiles when places are moved. Also browsers (and perhaps other things along the way) tend to keep copies of map tiles to avoid reloading them. These, together, mean that you can get tiles with the old location on them, with a marker added at the new location. This is the original issue you reported. The cure for this is to wait a bit and, if still happening, do a forced page refresh (hints here: https://www.wikihow.com/Force-Refresh-in-Your-Internet-Browser - apologies if I'm teaching anyone to suck eggs). The wait is for it being rebuilt, the reload to flush out any stored out-of-date tiles.

That leaves the last issue identified in the comments, where - when you zoom in ridiculously close - the marker pin doesn't sit right on top of the place on the map tiles, so you can see both. This is an artefact of the rounding of coordinates to a reasonable accuracy in the tile generation. This is something we have to live with (or I can stop people zooming in to that level!) It's never something the ordinary user will experience.

Finally, if I read your intro right, I think I disagree with where a "weir entrance" should be! It ought to be where the channel leading to the weir turns off the main waterway - so it should be somewhere that the boater passes on their way to the lock. Otherwise the route will go to the weir and back again, which isn't what we want.

~0001995

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2018-10-29 08:44 PeterScott New Issue
2018-10-29 08:44 PeterScott File Added: AllingtonLockWeirEntrance.png
2018-10-29 10:01 Stephen Atty Assigned To => Nick Atty
2018-10-29 10:01 Stephen Atty Status new => assigned
2018-10-29 12:32 Shultzy Note Added: 0001968
2018-10-29 12:39 PeterScott Note Added: 0001969
2018-10-29 12:52 Shultzy Note Added: 0001970
2018-10-29 21:36 Nick Atty Note Added: 0001971
2018-12-02 10:25 Nick Atty Status assigned => resolved
2018-12-02 10:25 Nick Atty Resolution open => not fixable
2019-01-01 10:30 Autoclose Note Added: 0001995
2019-01-01 10:30 Autoclose Status resolved => closed
+Issue History